Get
/api/ssf/results
Results are returned in descending order by receivedAt (newest first).
Ordering is fixed to ensure stable pagination with nextToken.
Security
HTTP
Type bearer
Query parameters
subjectValue
string
Filter by subject identifier value (e.g. email address).
limit
integer
Maximum number of results per page. Default 20, max 100.
Default20
nextToken
string
direction
string
Filter by event direction. Omit to return all.
Valid values[
"RECEIVED",
"TRANSMITTED"
]
Responses
200
Results page
object
items
Array of object (SsfProcessingResult)
object
resultId
string
issuerId
string
eventUri
string (uri)
issuerUrl
string (uri)
direction
string
Valid values[
"RECEIVED",
"TRANSMITTED"
]
receiverUrl
string (uri) | null
Receiver endpoint URL. Only present for TRANSMITTED events; null for RECEIVED.
subject
object (SubjectIdentifier)
type
string
v1 supports email only (aligns with current design)
Valid values[
"email"
]
value
string
action
string
status
string
Valid values[
"ACCEPTED",
"FAILED"
]
receivedAt
string (date-time)
processedAt
string (date-time) | null
outcome
object (ActionOutcome)
success
boolean
code
string
Optional machine-readable code (e.g., USER_NOT_FOUND)
message
string
Optional human-readable message
details
object
rawSsfEvent
object
nextToken
string | null